Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Static Private Member Functions | List of all members
eZCharsetInfo Class Reference
Internationalization

Allows for quering information about charsets. More...

## Static Public Member Functions
static | realCharsetCode ( $charsetCode)
static | characterEncodingScheme ( $charsetCode, $isRealCharset=false)

## Static Private Member Functions
static & | aliasTable ()
static & | encodingTable ()
static & | reverseEncodingTable ()

## Detailed Description

Allows for quering information about charsets.

A charset can be known by multiple names but the internationlization system only works with one name. To fetch the real internal name use the static realCharsetCode() function. Each charset also has a specific encoding scheme associated with it which can be fetched with characterEncodingScheme().

Definition at line 24 of file ezcharsetinfo.php.

## Member Function Documentation

## ◆ aliasTable()

static& eZCharsetInfo::aliasTable | ( |  | ) |
| static private

Returns
  the hash table with aliases, creates if it doesn't already exist.

Definition at line 31 of file ezcharsetinfo.php.

Referenced by realCharsetCode().

## ◆ characterEncodingScheme()

static eZCharsetInfo::characterEncodingScheme | ( |  | $charsetCode,
|  |  | $isRealCharset = `false`
| ) |  |
| static

Tries to figure out the character encoding scheme for the given character set. It uses realCharsetCode() to get the correct internal charset so any charset can be given to this function. Either returns the found encoding scheme or 'singlebyte' if no scheme was found.

See also
  realCharsetCode

Definition at line 206 of file ezcharsetinfo.php.

References realCharsetCode(), and reverseEncodingTable().

Referenced by eZCodePage\__construct(), and eZTextCodec\instance().

## ◆ encodingTable()

static& eZCharsetInfo::encodingTable | ( |  | ) |
| static private

Returns
  the character encoding hash table, creates it if it does not exist. The table will map from a character encoding scheme to an array of character sets.

See also
  reverseEncodingTable

Definition at line 142 of file ezcharsetinfo.php.

Referenced by reverseEncodingTable().

## ◆ realCharsetCode()

static eZCharsetInfo::realCharsetCode | ( |  | $charsetCode | ) |
| static

Tries to find an alias for the charset code and returns it. If no alias code could be find the original charset code is returned.

Note
  The resulting charset code will be an all lowercase letters.

Definition at line 186 of file ezcharsetinfo.php.

References aliasTable().

Referenced by eZCodePage\__construct(), eZMBStringMapper\__construct(), eZCodePageMapper\__construct(), eZCodePage\cacheFileName(), characterEncodingScheme(), eZMySQLiDB\checkCharset(), eZMySQLiDB\checkCharsetPriv(), eZMySQLiDB\connect(), eZMatrix\domString(), eZObjectRelationType\domString(), eZObjectRelationListType\domString(), eZCodePage\fileName(), eZTextCodec\httpCharset(), eZTextCodec\instance(), eZTextCodec\internalCharset(), eZMail\isAllowedCharset(), eZMBStringMapper\isCharsetSupported(), eZCodeMapper\loadTransformationFiles(), eZMysqlSchema\tableCharsetName(), eZCharTransform\transform(), and eZCharTransform\transformByGroup().

## ◆ reverseEncodingTable()

static& eZCharsetInfo::reverseEncodingTable | ( |  | ) |
| static private

Returns
  the reverse character encoding hash table, creates it if it does not exist. The table will map from a character set to a character encoding scheme.

See also
  encodingTable

Definition at line 165 of file ezcharsetinfo.php.

References encodingTable().

Referenced by characterEncodingScheme().

The documentation for this class was generated from the following file:

- ezcharsetinfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.